<?php

class Procesos extends Conexion {

    public function ReplicarMalla($carrera,$periodo,$periodon) {
        $conectar = parent::conectar();
        parent::set_names();
        $sql = "SELECT * FROM mallacurricular WHERE carrera = ? AND periodo = ?";
        $sql = $conectar->prepare($sql);
        $sql->bindValue(1, $carrera);
        $sql->bindValue(2, $periodo);
        $sql->execute();
        $resultado = $sql->fetchAll();
        foreach($resultado as $row){
            $sql = "INSERT INTO mallacurricular(asignatura,nivel,periodo,estado,carrera,creditos,
                    tipo,codigo,docente,paralelo,itinerario,calificar,cd,cp,ca) 
                    VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
            $sql = $conectar->prepare($sql);
            $sql->bindValue(1,$row["asignatura"]);
            $sql->bindValue(2,$row["nivel"]);
            $sql->bindValue(3,$periodon);
            $sql->bindValue(4,$row["estado"]);
            $sql->bindValue(5,$row["carrera"]);
            $sql->bindValue(6,$row["creditos"]);
            $sql->bindValue(7,$row["tipo"]);
            $sql->bindValue(8,$row["codigo"]);
            $sql->bindValue(9,0);
            $sql->bindValue(10, $row["paralelo"]);
            $sql->bindValue(11, $row["itinerario"]);
            $sql->bindValue(12,'ACTIVO');
            $sql->bindValue(13,$row["cd"]);
            $sql->bindValue(14,$row["cp"]);
            $sql->bindValue(15,$row["ca"]);
            $sql->execute();
        }
        $sql = "SELECT * FROM mallacurricular WHERE carrera = ? AND periodo = ?";
        $sql = $conectar->prepare($sql);
        $sql->bindValue(1, $carrera);
        $sql->bindValue(2, $periodon);
        $sql->execute();
        return $resultado = $sql->fetchAll();
    }   
}
?>

